Upgrade keeps failing



  • Hi,
    I ordered 2 LoPy with expansion board. While I could successfully upgrade one of the boards to 1.1.0b1, the upgrade of the other keeps failing. I swapped the expansion board, but the problem still remains. I get the following error:

    Exception: Failed to connect to ESP32: Timed out waiting for packet header, on line 121
    

    It is currently on 0.9.0b and can't be upgraded. Can you please advise?
    Thanks



  • @jnc That's a first good point...



  • @Oneillsite
    Hi again, after performing as you suggest and relaunching the upgrade procedure, it did work. Thanks a lot



  • @Oneillsite here's what I get:

    
    Welcome to minicom 2.7
    
    OPTIONS: I18n 
    Compiled on Feb  7 2016, 13:37:27.
    Port /dev/ttyUSB0, 13:19:54
    
    Press CTRL-A Z for help on special keys
    
    dhcp server start:(ip: 192.168.4.1, mask: 255.255.255.0, gw: 192.168.4.1)
    MicroPython 8785822 on 2016-10-06; LoPy with ESP32
    Type "help()" for more information.
    >>> ets Jun  8 2016 00:22:57
    
    rst:0x1 (POWERON_RESET),boot:0x3 (DOWNLOAD_BOOT(UART0/UART1/SDIO_REI_REO_V2))
    waiting for download
    
    


  • Can you perfomr this sequence ?

    minicom -b 115200 -D /dev/ttyUSB0
    put the jumper cable between GND and the pin marked as G23
    press reset on the lopy



  • @Oneillsite I only have a linux box. I own 5 LoPy in total, and could update 4 of them. Only one in my last order fails.



  • I tried several cables and did uncheck the 'fast connection' tickbox.



  • Can you do an upgrade from PC/Win10 ?



  • same cable?
    and did you tried uncheck "fast connection" in updater?


Log in to reply
 

Looks like your connection to Pycom Forum was lost, please wait while we try to reconnect.